{
  "expo": {
    "name": "memowake",
    "slug": "memowake",
    "version": "1.0.0",
    "orientation": "portrait",
    "icon": "",
    "scheme": "memowake",
    "userInterfaceStyle": "automatic",
    "newArchEnabled": true,
    "ios": {
      "supportsTablet": true,
      "infoPlist": {
        "NSPhotoLibraryUsageDescription": "Allow $(PRODUCT_NAME) to access your photos.",
        "NSPhotoLibraryAddUsageDescription": "需要保存图片到相册",
        "NSLocationWhenInUseUsageDescription": "Allow $(PRODUCT_NAME) to access your location to get photo location data.",
        "ITSAppUsesNonExemptEncryption": false,
        "UIBackgroundModes": [
          "fetch",
          "location",
          "audio"
        ]
      },
      "bundleIdentifier": "com.memowake.app"
    },
    "android": {
      "adaptiveIcon": {
        "foregroundImage": "",
        "backgroundColor": "#ffffff"
      },
      "permissions": [
        "READ_EXTERNAL_STORAGE",
        "WRITE_EXTERNAL_STORAGE",
        "ACCESS_MEDIA_LOCATION",
        "android.permission.RECORD_AUDIO",
        "android.permission.MODIFY_AUDIO_SETTINGS",
        "android.permission.READ_EXTERNAL_STORAGE",
        "android.permission.WRITE_EXTERNAL_STORAGE",
        "android.permission.ACCESS_MEDIA_LOCATION",
        "FOREGROUND_SERVICE",
        "WAKE_LOCK",
        "READ_EXTERNAL_STORAGE",
        "WRITE_EXTERNAL_STORAGE"
      ],
      "edgeToEdgeEnabled": true,
      "package": "com.memowake.app"
    },
    "web": {
      "bundler": "metro",
      "output": "static",
      "favicon": ""
    },
    "plugins": [
      "expo-router",
      "expo-secure-store",
      [
        "expo-background-task",
        {
          "minimumInterval": 15
        }
      ],
      [
        "expo-task-manager",
        {
          "transparency": "opaque"
        }
      ],
      [
        "expo-location",
        {
          "locationAlwaysAndWhenInUsePermission": "允许 $(PRODUCT_NAME) 访问您的位置",
          "locationAlwaysPermission": "允许 $(PRODUCT_NAME) 访问您的位置",
          "locationWhenInUsePermission": "允许 $(PRODUCT_NAME) 访问您的位置"
        }
      ],
      [
        "expo-audio",
        {
          "microphonePermission": "Allow $(PRODUCT_NAME) to access your microphone."
        }
      ],
      [
        "expo-media-library",
        {
          "photosPermission": "Allow $(PRODUCT_NAME) to access your photos.",
          "savePhotosPermission": "Allow $(PRODUCT_NAME) to save photos.",
          "isAccessMediaLocationEnabled": true
        }
      ],
      "expo-sqlite"
    ],
    "experiments": {
      "typedRoutes": true
    },
    "extra": {
      "router": {},
      "eas": {
        "projectId": "04721dd4-6b15-495a-b9ec-98187c613172"
      }
    }
  }
}
